petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexComputeIntegralFEM

Form the local integral F from the local input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeIntegralFEM(DM dm, Vec X, PetscReal *integral, void *user)

### Input Parameters

| dm | - The mesh
| X | - Local input vector
| user | - The user context

### Output Parameter

integral -Local integral for each field

### See Also

DMPlexComputeResidualFEM()

Level:developer
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages